> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get onboarding status of the current organization



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/billing/onboarding-status
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/billing/onboarding-status:
    get:
      tags:
        - Billing
      summary: Get onboarding status of the current organization
      operationId: getV1BillingOnboarding-status
      parameters: []
      responses:
        '200':
          description: Onboarding status
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasAccess:
                    type: boolean
                  isInternal:
                    type: boolean
                  subscriptionStatus:
                    type: string
                    nullable: true
                  requiresOnboarding:
                    type: boolean
                  plan:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                  isTrial:
                    type: boolean
                  trialEndsAt:
                    type: string
                    format: date-time
                    nullable: true
                  daysLeftInTrial:
                    type: integer
                    nullable: true
              example:
                hasAccess: true
                isInternal: false
                subscriptionStatus: trialing
                requiresOnboarding: false
                plan:
                  id: 1
                  name: Padrão
                isTrial: true
                trialEndsAt: '2026-08-04T00:00:00Z'
                daysLeftInTrial: 7
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.